<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/container"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/light_gray"
    >

    <LinearLayout
        android:id="@+id/linearLayout5"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:background="@color/red"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="20dp"
        android:paddingRight="20dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/textVersion"
            android:layout_width="80dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="start"
            android:text="20250108ver1"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/textThreadCount"
            android:layout_width="60dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="start"
            android:text="TC:0"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />
        <TextView
            android:id="@+id/btnswitchlanTW"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="start"
            android:text="中"
            android:visibility="gone"
            android:textSize="30sp"
            android:textColor="@color/white"
            android:textStyle="bold"
            />

        <TextView
            android:id="@+id/btnswitchlanEn"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="start"
            android:text="En"
            android:visibility="gone"
            android:textSize="30sp"
            android:textColor="@color/white"
            android:textStyle="bold"
            />

        <TextView
            android:id="@+id/btnswitchlanJa"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="start"
            android:text="日"
            android:visibility="gone"
            android:textSize="30sp"
            android:textColor="@color/white"
            android:textStyle="bold"
            />


        <TextView
            android:id="@+id/textTemperature"
            android:layout_width="60dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="end"
            android:text="0 ℃"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/textTime"
            android:layout_width="120dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="end"
            android:text="1911/01/01 01:01:01"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/textNetwork"
            android:layout_width="150dp"
            android:layout_height="wrap_content"
            android:gravity="end"
            android:text="@string/no_internet"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />

    </LinearLayout>

    <RelativeLayout
        android:id="@+id/relativeLayout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="60dp"
        android:layout_marginBottom="2dp"
        android:background="@color/black"
        app:layout_constraintDimensionRatio="16:9"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.media3.ui.PlayerView
            android:id="@+id/videoView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:show_subtitle_button="true"
            app:use_artwork="true"
            app:use_controller="false"
            app:layout_constraintDimensionRatio="16:9" />

        <ImageView
            android:id="@+id/imageAd"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:scaleType="fitXY"
            android:visibility="gone"
            app:layout_constraintDimensionRatio="16:9"
            />
    </RelativeLayout>

    <FrameLayout
        android:id="@+id/fragment_container"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/bottom_navigation"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/relativeLayout" />

    <LinearLayout
        android:id="@+id/bottom_navigation"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:visibility="gone"
            android:paddingStart="10dp"
            android:paddingEnd="10dp">

            <com.google.android.material.button.MaterialButton
                android:id="@+id/buttonVmc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/drinksale"
                app:cornerRadius="12dp"
                android:backgroundTint="@android:color/transparent"
                app:strokeColor="@color/gray"
                android:textSize="38sp"
                app:strokeWidth="2dp"
                android:visibility="gone"
                android:layout_margin="4dp"/>

            <com.google.android.material.button.MaterialButton
                android:id="@+id/buttonElectric"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/board_games"
                app:cornerRadius="12dp"
                android:backgroundTint="@android:color/transparent"
                app:strokeColor="@color/gray"
                android:textSize="38sp"
                android:visibility="gone"
                app:strokeWidth="2dp"
                android:layout_margin="4dp"/>

            <com.google.android.material.button.MaterialButton
                android:id="@+id/buttonOther"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:visibility="gone"
                android:text="@string/other"
                app:cornerRadius="12dp"
                android:backgroundTint="@android:color/transparent"
                app:strokeColor="@color/gray"
                android:textSize="38sp"
                app:strokeWidth="2dp"
                android:layout_margin="4dp"/>
        </LinearLayout>
    </LinearLayout>

    <TextView
        android:id="@+id/floatButtonPickupCode"
        android:layout_width="50dp"
        android:layout_height="150dp"
        android:text="取\n貨\n碼"
        android:textSize="28sp"
        android:layout_marginEnd="24dp"
        android:layout_marginBottom="80dp"
        android:backgroundTint="@color/gray"
        android:textColor="@color/black"
        android:alpha="0.8"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@+id/floatButtonShoppingCart"
        app:layout_constraintEnd_toEndOf="@+id/bottom_navigation"
        android:textStyle="bold"/>

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/floatButtonShoppingCart"
        android:layout_width="58dp"
        android:layout_height="51dp"
        android:layout_alignParentEnd="true"
        android:layout_alignParentBottom="true"
        android:layout_marginEnd="24dp"
        android:layout_marginBottom="80dp"
        android:contentDescription="TODO"
        android:visibility="gone"
        app:backgroundTint="@color/gray"
        app:layout_constraintBottom_toBottomOf="@+id/fragment_container"
        app:layout_constraintEnd_toEndOf="@+id/bottom_navigation"
        app:maxImageSize="60dp"
        app:srcCompat="@drawable/baseline_add_shopping_cart_24" />


    <Button
        android:id="@+id/btnTopRight"
        android:layout_width="200dp"
        android:layout_height="100dp"
        android:text="進入後台"
        android:textSize="24sp"
        android:backgroundTint="@color/red"
        android:textColor="@android:color/white"
        android:alpha="1"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:visibility="gone"
        android:layout_marginTop="60dp"
        android:layout_marginEnd="8dp"/>
</androidx.constraintlayout.widget.ConstraintLayout>